Page MenuHomePhabricator

Convert Special:Search to OOUI
Closed, ResolvedPublic

Description

Convert Special:Search to OOUI.

Related Objects

StatusAssignedTask
ResolvedEsanders
OpenNone
OpenNone
OpenNone
ResolvedMarkTraceur
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
OpenNone
OpenNone
OpenNone
Resolved Jdlrobson
Resolvedmatmarex
Resolvedmatmarex
OpenNone
OpenNone
ResolvedEsanders
DuplicateNone
ResolvedTTO
ResolvedJayprakash12345
Resolvedmatmarex
OpenNone
ResolvedFlorian
ResolvedFlorian
ResolvedFlorian
ResolvedFlorian

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 214821 had a related patch set uploaded (by Bartosz Dziewoński):
Convert Special:Search to OOUI

https://gerrit.wikimedia.org/r/214821

Florian added a subscriber: Florian.
Ltrlg added a subscriber: Ltrlg.Jun 7 2015, 10:23 AM

Stakeholders: Cirrus Developers and MediaWiki UI Developers
Benefits: Its a step to deprecating the old UI in favor of OOUI which is an ongoing process.
Estimates: The work is mostly done. We just have to update Cirrus's integration tests for it and do some manual testing. Two days at most. Probably more like an afternoon.

Change 217869 had a related patch set uploaded (by EBernhardson):
Update tests to match OOUI of Special:Search

https://gerrit.wikimedia.org/r/217869

Change 217869 merged by jenkins-bot:
Update tests to match OOUI of Special:Search

https://gerrit.wikimedia.org/r/217869

The patch to do this hasn't been merged, so I'm moving this back to "To do".

this isn't really a todo for us though, the todo on our side was merged. still leaving it here until the other half gets done thoug.

Change 214821 merged by jenkins-bot:
Convert Special:Search to OOUI

https://gerrit.wikimedia.org/r/214821

Deskana closed this task as Resolved.Jul 9 2015, 9:09 PM
Deskana moved this task from Unsorted to Done on the UI-Standardization board.
Deskana moved this task from in progress to Done on the Discovery-Search (Current work) board.

If we are collecting requirements for the next iteration, I have something to say about the zebra stripes "marquee" too: should I file separately?

I think so, it's the default for a LookupElement (wich is widely used in VisualEditor, too) :)

(This task in only about the primary form: search box plus button. I just learned that there's a bigger redesign in progress: T106055: Improve "advanced search".)

@matmarex Is it ok for you, if I take this change? :)

Yes, please do.

Florian claimed this task.Nov 12 2015, 7:08 AM
Florian added a subscriber: matmarex.

Since ooui is using a different api call for auto complete this needs to be done as an A/B test to ensure the new results are better than what users are currently getting.

Since ooui is using a different api call for auto complete

OOUI is a library. Presumably you mean that somewhere in https://gerrit.wikimedia.org/r/#/c/214821/ it changes which search API is used – can you explain where?

I am perhaps making assumptions, but it seems the most likely way to do this is to unrevert the last patch that implemented ooui in special:search. That patch uses the title lookup widget.

The current special:search autocomplete uses api calls like: https://www.mediawiki.org/w/api.php?action=opensearch&format=json&search=mediawiki&namespace=0&limit=10&suggest=true

The top 5 results for mediawiki are: MediaWiki, MediaWiki-Vagrant, MediaWiki 1.25, MediaWiki on IRC and MediaWiki 1.24

The current title lookup widget in ooui uses api calls like: https://www.mediawiki.org/w/api.php?action=query&format=json&prop=info%7Cpageprops%7Cpageimages%7Cpageterms&generator=prefixsearch&gpssearch=mediawiki&gpslimit=10&ppprop=disambiguation&redirects=true&pithumbsize=80&pilimit=10&wbptterms=description

The top 5 results for mediawiki are: MediaWiki, MediaWiki-Vagrant, MediaWiki.html, MediaWiki 1.25 and MediaWiki on IRC

This isn't a giant change, but I also didn't look very hard. The first query i tried had a change in its top 5 results. We need to verify the results really are better, or at least not worse, before rolling out to a wider audience.

There are also some other inconsistencies that might want to be resolved:

  • Changing only Special:Search will provide different search as you type autocompletions depending on which box you type into on screen. Within discovery we are aiming to bring more consistency to the search experience, not less.
  • I would have to review to double check, but I believe the opensearch api is cached by varnish while the call with the prefixsearch generator is not. Some analysis might need to be done on how many queries are performed this way. Opensearch in total represents more than 100M requests per day, but I don't have easy breakdown numbers available.

The simplest solution would be to just not change the api call. Outside of this e already have some work in progress to replace the opensearch API with an FST based solution that provides fuzzy matching, this will not replace prefix search (it's not a prefix search).

Change 252718 had a related patch set uploaded (by Florianschmidtwelzow):
WIP: Convert Special:Search input to OOUI

https://gerrit.wikimedia.org/r/252718

@matmarex: I don't think, that T106055: Improve "advanced search" blocks this task? Am I wrong? :)

Hmmm, yeah, it should probably be the other way round.

Adding to search-sprint needs review column to not lose track of the needed review.

Change 252718 merged by jenkins-bot:
Convert Special:Search input to OOUI

https://gerrit.wikimedia.org/r/252718

Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 11 2016, 10:56 PM
matmarex closed this task as Resolved.Apr 11 2016, 11:18 PM
matmarex removed a project: Patch-For-Review.
TheDJ added a subscriber: TheDJ.Apr 12 2016, 7:17 PM

The search field styling is broken for me now on:
https://www.mediawiki.org/w/index.php?title=Special:Search

Seems like it is using type=search, without setting -webkit-appearance: none;

@TheDJ What's exactly broken for you? We're setting -webkit-appearance: textfield which should work well…?

@TheDJ What's exactly broken for you? We're setting -webkit-appearance: textfield which should work well…?

Ah, no we don't :)

-webkit-appearance: texfield

:D

Change 283090 had a related patch set uploaded (by TheDJ):
texfield -> textfield

https://gerrit.wikimedia.org/r/283090

Change 283090 merged by jenkins-bot:
texfield -> textfield

https://gerrit.wikimedia.org/r/283090